/*
 *  linux/include/asm-arm/arch-psionw/uncompress.h
 *
 *  Copyright (C) 2000 Deep Blue Solutions Ltd
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <asm/arch/io.h>
#include <asm/arch/hardware.h>
#include <asm/hardware/psionw.h>

#undef PSIONW_BASE
#define PSIONW_BASE PSIONW_PHYS_BASE

#define __raw_readl(p)		(*(unsigned long *)(p))
#define __raw_writel(v,p)	(*(unsigned long *)(p) = (v))

/*
 * This does not append a newline
 */
static void
puts(const char *s)
{
	char c;

	while ((c = *s++) != '\0') {
		serial_printf(c);
		if (c == '\n') {
			serial_printf('\r');
		}
	}
}

/*
 * nothing to do
 */
#define arch_decomp_setup()

#define arch_decomp_wdog()
